Bug 112160 - oracle-se test sql scripts are being sourced when running unit tests under postgres
oracle-se test sql scripts are being sourced when running unit tests under po...
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-15 10:19 EST by Vadim Nasardinov
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-03 14:40:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadim Nasardinov 2003-12-15 10:19:20 EST
XVersioningSuite current has 5 errors when run with PostgreSQL on the
6.0 branch.  The problem seems to stem from the fact that wrong
auto-generated .sql scripts are being sourced.  Specificically,
oracle-se scripts with Oracle-specific data types, such as CLOB and
BLOB, are being sourced and causing the unit test setup phase to fail.

Here's what I'm getting:

2003-12-15 10:06:37,344 [ main] WARN  installer.LoadSQLPlusScript - Loading: '/var/ccm-devel/dev/vadim/60/core/build/tests/sql/oracle-se/com/arsdigita/versioning/setup.sql'
2003-12-15 10:06:37,382 [ main] WARN  installer.LoadSQLPlusScript - Relative path found: 'create.sql'

...

2003-12-15 10:06:42,281 [ main] WARN  installer.LoadSQLPlusScript - Relative path found: 'table-te_vt1-auto.sql'
2003-12-15 10:06:42,281 [ main] WARN  installer.LoadSQLPlusScript - Recursively including: '/var/ccm-devel/dev/vadim/60/core/build/tests/sql/oracle-se/com/arsdigita/versioning/table-te_vt1-auto.sql'
2003-12-15 10:06:42,287 [ main] ERROR installer.LoadSQLPlusScript -  -- FAILED: ERROR:  Type "clob" does not exist

2003-12-15 10:06:42,287 [ main] ERROR installer.LoadSQLPlusScript - SQL: create table te_vt1 (
    id INTEGER not null
        constraint te_vt1_id_p_2x3sj
          primary key,
    name VARCHAR(4000),
    content CLOB,
    int_attr INTEGER
)
Comment 1 Vadim Nasardinov 2003-12-15 10:21:02 EST
This is preventing merge of change 38778 (see bug #101749).
Comment 2 Jon Orris 2003-12-15 10:37:36 EST
I should've realized on friday: while this is a bug, it is a known
one. The  build.tests.sql.dir.db property in build.xml defaults to oracle:

<property name="build.tests.sql.dir.db"
value="${build.tests.sql.dir}/oracle-se"/>

On autotester, 'oracle-se' is replaced by a database.key property in
ant.properties that can be switched from oracle to postgres.
Changing in my local checkout fixes the test failures.
Comment 3 Vadim Nasardinov 2003-12-15 10:51:50 EST
Archit,

With this out of the way, can you finish bug #101749?
I don't have write permissions on the 6.0 branch.
Comment 4 Vadim Nasardinov 2005-08-03 14:40:11 EDT
stale

Note You need to log in before you can comment on or make changes to this bug.